Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms
Class ResourceAllocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.ResourceAllocationException
                      com.sun.messaging.jms.ResourceAllocationException

All Implemented Interfaces:
  Serializable

public class ResourceAllocationException
extends ResourceAllocationException

This exception is thrown when a provider is unable to allocate the resources required by a method. For example, this exception should be thrown when a call to `TopicConnectionFactory.createTopicConnection` fails due to a lack of JMS provider resources.

See Also:
  Serialized Form

Constructor Summary
`ResourceAllocationException(String reason)` Constructs a `ResourceAllocationException` with the specified reason and with the error code defaulting to null.
`ResourceAllocationException(String reason, String errorCode)` Constructs a `ResourceAllocationException` with the specified reason and error code.
`ResourceAllocationException(String reason, String errorCode, Throwable cause)` Constructs a `ResourceAllocationException` with the specified reason, error code, and a specified cause.

Method Summary
`void` | `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` | `printStackTrace(PrintStream s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` | `printStackTrace(PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`
`void` | `setLinkedException(Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceAllocationException

    public ResourceAllocationException(String reason,
                                       String errorCode)

  Constructs a `ResourceAllocationException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

### ResourceAllocationException

    public ResourceAllocationException(String reason)

  Constructs a `ResourceAllocationException` with the specified reason and with the error code defaulting to null.

Parameters:
  `reason` - a description of the exception

### ResourceAllocationException

    public ResourceAllocationException(String reason,
                                       String errorCode,
                                       Throwable cause)

  Constructs a `ResourceAllocationException` with the specified reason, error code, and a specified cause.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code
  `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

Method Detail

### setLinkedException

    public void setLinkedException(Exception ex)

  If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`. When a backtrace of the `ResourceAllocationException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

  Overrides:
    `setLinkedException` in class `JMSException`
  Parameters:
    `ex` - the linked `Exception`

### printStackTrace

    public void printStackTrace()

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`

### printStackTrace

    public void printStackTrace(PrintStream s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Java(tm) System Message Queue v3.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.